### Namespace

# GSSDP – 1.6

SSDP implementation using GObject

Version | 1.6.4
Authors | The GUPnP developers
License | LGPL-2.1-or-later
Website | https://gupnp.org
Source | https://gitlab.gnome.org/GNOME/gssdp/

#### Build

C headers | `libgssdp/gssdp.h`
pkg-config files | `gssdp-1.6`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Soup—3.0 | A HTTP handling library
| Browse documentation

#### Additional documentation

- Manpage for gssdp-device-sniffer
- Classes Hierarchy

#### Classes

Client | A simple SSDP bus handler.
ResourceBrowser | Class handling resource discovery.
ResourceGroup | Class for controlling resource announcement.

#### Enumerations

UDAVersion | Implemented behavior of the UDA (Unified Device Architecture) protocol.

#### Error Domains

Error | Error used in client creation.

#### Constants

ALL_RESOURCES | SSDP search target for finding all possible resources.